N8N on openshift

Hi,
I would like to run N8N on openshift and start with “Import fromGIT”.
The following erroe message is shown in the log file.
lerna info Executing command in 6 packages: "npm run build"
> n8[email protected] build /opt/app-root/src/packages/workflow
> tsc
sh: tsc: command not found
npm ERR! code ELIFECYCLE
npm ERR! syscall spawn
npm ERR! file sh
npm ERR! errno ENOENT
npm ERR! [email protected] build: tsc

A second question:
I there anybody who has N8N running on openshift and could share a guide, a tutorial to bring N8N n to openshift.

Hey @br110057!

From the error message, it seems like the TypeScript Compiler is not available. Did you run the lerna bootstrap --hoist command to install all the packages?

1 Like

I check the file n8n/packages/cli/package.json.

In the devDependencies section typescript": "~3.9.7 is listed in section dependencies not.
Can I add the line
“typescript”: “~3.9.7”
to devDependencies section?
I attach the complete log file of my build as jpg.

Did you try installing the TypeScript compiler? Did a quick search and found this: npm - 'tsc command not found' in compiling typescript - Stack Overflow